## python-quantities 0.16.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/quantities.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/quantities.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-quantities 0.10.1

=== debian/changelog ===
python-quantities (0.10.1-1) unstable; urgency=low

  * source package automatically created by stdeb 0.6.0+git (closes: #659641)

 -- Andrea Palazzi <palazziandrea@yahoo.it>  Sat, 11 Feb 2012 22:51:51 +0100

=== debian/control ===
Source: python-quantities
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Palazzi <palazziandrea@yahoo.it>, Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Section: python
Priority: extra
Build-Depends: python-all (>= 2.6.6-3), debhelper (>= 7)
Standards-Version: 3.9.2
Vcs-git: git://git.debian.org/git/collab-maint/python-quantities.git
Homepage: http://packages.python.org/quantities/

Package: python-quantities
Architecture: all
Section: python
Depends: ${misc:Depends}, ${python:Depends}, python-numpy (>= 1.4)
Description: Library for computation of physical quantities with units, based on numpy
 Quantities is designed to handle arithmetic and
 conversions of physical quantities, which have a magnitude, dimensionality
 specified by various units, and possibly an uncertainty.
 Quantities builds on the popular numpy library and is
 designed to work with numpy ufuncs, many of which are already
 supported.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
opts="filenamemangle=s/.*\/(.*)/python-quantaties-$1\.tar\.gz/" \
  http://github.com/python-quantaties/python-quantaties/downloads .*tarball/([\d\.a-z]+)

## python-quantities 0.12.1

=== debian/changelog ===
python-quantities (0.12.1-1) unstable; urgency=medium

  * Team upload.

  [ Yaroslav Halchenko ]
  * debian/control:
    - added X-Python-Version: >= 2.6 to restrict supported versions of Python
      so it could be seamlessly backported to squeeze
    - added Suggests: python-unittest2 so tests could be exercised
      on user's sytem

  [ Andreas Tille ]
  * New upstream version
    Closes: #896354, #896361
  * Moved packaging to Salsa
  * cme fix dpkg-control
  * Fix watch file
  * debhelper 11
  * Testsuite: autopkgtest-pkg-python
  * Install correct doc
  * DEP5 fix

 -- Andreas Tille <tille@debian.org>  Mon, 21 May 2018 21:26:52 +0200

=== debian/control ===
Source: python-quantities
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Palazzi <palazziandrea@yahoo.it>,
           Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: python-all,
               debhelper (>= 11~)
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/science-team/python-quantities
Vcs-Git: https://salsa.debian.org/science-team/python-quantities.git
Homepage: http://packages.python.org/quantities/
X-Python-Version: >=2.6

Package: python-quantities
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-numpy
Suggests: python-unittest2
Description: Library for computation of physical quantities with units, based on numpy
 Quantities is designed to handle arithmetic and
 conversions of physical quantities, which have a magnitude, dimensionality
 specified by various units, and possibly an uncertainty.
 Quantities builds on the popular numpy library and is
 designed to work with numpy ufuncs, many of which are already
 supported.

## python-quantities 0.12.3

=== debian/changelog ===
python-quantities (0.12.3-1~nd18.10+1) cosmic; urgency=medium

  * Backported for cosmic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Sun, 01 Sep 2019 10:46:55 -0400

python-quantities (0.12.3-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/control
    - migrated into python3-quantities (Closes: #938118)
    - boosted policy to 4.3.0
    - added python3-numpy to build-depends (for testing)
  * debian/rules
    - switch to use pybuild buildsystem
  * debian/patches/up_no_test_xfail
    - to not xfail a test

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 01 Sep 2019 14:12:15 +0200

=== debian/control ===
Source: python-quantities
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Palazzi <palazziandrea@yahoo.it>,
           Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: python3-all,
               debhelper (>= 11~),
               dh-python,
               python3-numpy,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/science-team/python-quantities
Vcs-Git: https://salsa.debian.org/science-team/python-quantities.git
Homepage: http://packages.python.org/quantities/

Package: python3-quantities
Architecture: all
Depends: neurodebian-popularity-contest, ${misc:Depends},
         ${python3:Depends},
         python3-numpy
Suggests: python3-unittest2
Description: Library for computation of physical quantities with units, based on numpy
 Quantities is designed to handle arithmetic and
 conversions of physical quantities, which have a magnitude, dimensionality
 specified by various units, and possibly an uncertainty.
 Quantities builds on the popular numpy library and is
 designed to work with numpy ufuncs, many of which are already
 supported.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-quantities 0.12.4

=== debian/changelog ===
python-quantities (0.12.4-1) unstable; urgency=medium

  * New upstream release
    - addresses "Fix "<ufunc 'clip'> not supported" error" (Closes: #945260)

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 27 Jan 2020 20:34:29 -0500

python-quantities (0.12.3-2) unstable; urgency=medium

  * Team upload.
  * Fix license
    Closes: #939163
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Secure URI in copyright format
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 11:38:11 +0200

=== debian/control ===
Source: python-quantities
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Palazzi <palazziandrea@yahoo.it>,
           Michael Hanke <mih@debian.org>,
           Yaroslav Halchenko <debian@onerussian.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: python3-all,
               debhelper-compat (= 12),
               dh-python,
               python3-numpy
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/science-team/python-quantities
Vcs-Git: https://salsa.debian.org/science-team/python-quantities.git
Homepage: https://packages.python.org/quantities/

Package: python3-quantities
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-numpy
Suggests: python3-unittest2
Description: Library for computation of physical quantities with units, based on numpy
 Quantities is designed to handle arithmetic and
 conversions of physical quantities, which have a magnitude, dimensionality
 specified by various units, and possibly an uncertainty.
 Quantities builds on the popular numpy library and is
 designed to work with numpy ufuncs, many of which are already
 supported.

=== debian/watch ===
version=4

https://github.com/python-quantities/python-quantities/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## python-quantities 0.13.0

=== debian/changelog ===
python-quantities (0.13.0-2) unstable; urgency=medium

  * Team upload.
  * Adapt to numpy 1.24
    Closes: #1028773
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 16:20:23 +0100

python-quantities (0.13.0-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 08:32:06 +0100

python-quantities (0.12.4-2) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix test issue with numpy 1.21
    Closes: #999539

 -- Andreas Tille <tille@debian.org>  Mon, 22 Nov 2021 08:12:31 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: python3-all,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                python3-numpy
-Standards-Version: 4.4.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-quantities
 Vcs-Git: https://salsa.debian.org/science-team/python-quantities.git
 Homepage: https://packages.python.org/quantities/
+Rules-Requires-Root: no
 
 Package: python3-quantities
 Architecture: all

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/python-quantities/python-quantities/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@

## python-quantities 0.15.0

=== debian/changelog ===
python-quantities (0.15.0-2) unstable; urgency=medium

  [ Yogeswaran Umasankar ]
  * Team upload.

  [ James Addison ]
  * Removed unittest2 from suggests in d/control. (Closes: #1058959)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 15 Feb 2024 22:30:00 +0000

python-quantities (0.15.0-1) unstable; urgency=medium

  [ Yogeswaran Umasankar ]
  * Team upload.
  * New upstream version 0.15.0.

  [ Nilesh Patra ]
  * Add Builddep on python3-setuptools-scm and pybuild-plugin-pyproject

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 08 Feb 2024 03:10:45 +0530

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,11 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: python3-all,
+               pybuild-plugin-pyproject,
                debhelper-compat (= 13),
                dh-python,
-               python3-numpy
+               python3-numpy,
+               python3-setuptools-scm
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-quantities
 Vcs-Git: https://salsa.debian.org/science-team/python-quantities.git
@@ -21,7 +23,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-numpy
-Suggests: python3-unittest2
 Description: Library for computation of physical quantities with units, based on numpy
  Quantities is designed to handle arithmetic and
  conversions of physical quantities, which have a magnitude, dimensionality

## python-quantities 0.16.1

=== debian/changelog ===
python-quantities (0.16.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.16.1. (Closes: #1082911)
  * d/control: add Breaks in the python3-quantities package.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 30 Oct 2024 18:15:07 +0000

python-quantities (0.16.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.16.0.
  * d/control: bump Standards-Version to 4.7.0.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 28 Aug 2024 06:30:00 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                dh-python,
                python3-numpy,
                python3-setuptools-scm
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-quantities
 Vcs-Git: https://salsa.debian.org/science-team/python-quantities.git
 Homepage: https://packages.python.org/quantities/
@@ -23,6 +23,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-numpy
+Breaks: python3-neo (<< 0.13.2-1~)
 Description: Library for computation of physical quantities with units, based on numpy
  Quantities is designed to handle arithmetic and
  conversions of physical quantities, which have a magnitude, dimensionality

## python-quantities 0.16.2

=== debian/changelog ===
python-quantities (0.16.2-1) unstable; urgency=medium

  * Team upload.

  [ Yogeswaran Umasankar ]
  * New upstream version 0.16.2.
  * d/control:
    - Add python3-pytest and python3-setuptools to build-depends.
    - Update to dh-sequence-python3.
    - Bump Standards-Version to 4.7.2.
    - Remove Rules-Requires-Root: no.
  * d/rules:
    - Remove sequence name python3.
    - Remove doc NIST_codata.txt.
  * Add d/clean.
  * Add d/source/options.
  * d/watch: bump to version 5.

  [ Chris Lamb ]
  * Update d/patches/reproducible-build.patch. (Closes: #1066042)

 -- Yogeswaran Umasankar <yogu@debian.org>  Fri, 24 Oct 2025 20:26:29 +0000

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,15 @@
 Build-Depends: python3-all,
                pybuild-plugin-pyproject,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-numpy,
-               python3-setuptools-scm
-Standards-Version: 4.7.0
+               python3-setuptools,
+               python3-setuptools-scm,
+               python3-pytest,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-quantities
 Vcs-Git: https://salsa.debian.org/science-team/python-quantities.git
 Homepage: https://packages.python.org/quantities/
-Rules-Requires-Root: no
 
 Package: python3-quantities
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_install:
	dh_install
	# Remove doc from site-package (not needed at runtime)
	find debian/python3-quantities -type f -path "*/quantities/constants/NIST_codata.txt" -delete

=== debian/watch ===
Version: 5
Template: Github
Owner: python-quantities
Project: python-quantities

## python-quantities 0.16.4

=== debian/changelog ===
python-quantities (0.16.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.16.4.
  * d/control:
    - Bump Standards-Version to 4.7.3.
    - Remove Priority.

 -- Yogeswaran Umasankar <yogu@debian.org>  Sat, 07 Feb 2026 03:30:08 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
            Yaroslav Halchenko <debian@onerussian.com>
 Section: python
 Testsuite: autopkgtest-pkg-python
-Priority: optional
 Build-Depends: python3-all,
                pybuild-plugin-pyproject,
                debhelper-compat (= 13),
@@ -14,7 +13,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-pytest,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/python-quantities
 Vcs-Git: https://salsa.debian.org/science-team/python-quantities.git
 Homepage: https://packages.python.org/quantities/
